Bug 149297 - email change mail not sent
email change mail not sent
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.18
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
Mike MacKenzie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-21 22:03 EST by Dave Miller
Modified: 2007-04-18 13:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-04 11:14:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Miller 2005-02-21 22:03:06 EST
Description of problem:
Attempted to change my email address on my account a few hours ago. 
It told me it was sending mail to both addresses to confirm.  Mail has
not been received on either address (and yes, I checked the junk folders).

Version-Release number of selected component (if applicable):


How reproducible:
didn't try

Steps to Reproduce:
1. Go to https://bugzilla.redhat.com/bugzilla/userprefs.cgi
2. enter your password and your new email address
3. keep checking your mailboxes for mail that never shows up.
  
Actual results:
Mail doesn't show up.

Expected results:
Should get mail on each address with links to click.

Additional info:
I haven't been getting any bugmail from bugzilla.redhat.com for any of
my recent bugs anyway...  something up with mail overall?  Didn't
think much of it because my last bug was a security bug, and figured
maybe you were blocking mail about security bugs from going to non
redhat addresses or something.

a.k.a justdave@bugzilla.org
Comment 1 David Lawrence 2005-02-23 02:45:13 EST
Does this occur with the beta version as well? https://bugzilla.redhat.com/beta
Comment 2 Dave Miller 2005-02-25 20:53:30 EST
Yes.  Attempted the same there a few hours ago, still haven't got
anything on either address.
Comment 3 Dave Miller 2005-02-26 16:05:08 EST
And just to confirm, I still haven't gotten anything as of now, from
either.  (not even bugmail).

Perhaps something is stuck trying to get to my mail server.  Is the
mail server handling the outbound mail running kernel 2.6.9 by any
chance?  If so, check if tcp window scaling is enabled.  If it is,
that's probably the problem.  (my mail server is behind an old openBSD
firewall that the hosting provider is stalling on upgrading, and it
doesn't deal well with window scaling)
Comment 4 Dave Miller 2005-03-01 05:24:03 EST
OK, that's almost certainly what the issue is.  The token finally
expired, and I changed it again to my @mozilla.org address, which is
on a different mail server that doesn't have the openBSD problem, and
got the change confirmation on the new address, but not the old one.
Comment 5 David Lawrence 2005-03-02 15:42:24 EST
(In reply to comment #3)
> And just to confirm, I still haven't gotten anything as of now, from
> either.  (not even bugmail).
> 
> Perhaps something is stuck trying to get to my mail server.  Is the
> mail server handling the outbound mail running kernel 2.6.9 by any
> chance?  If so, check if tcp window scaling is enabled.  If it is,
> that's probably the problem.  (my mail server is behind an old openBSD
> firewall that the hosting provider is stalling on upgrading, and it
> doesn't deal well with window scaling)

No, our Bugzilla running on RHEL3 which has a 2.4 kernel installed. So is this
problem solved now with the new knowledge you mentioned in comment #4?
Comment 6 Dave Miller 2005-03-02 17:32:05 EST
(In reply to comment #5)
> No, our Bugzilla running on RHEL3 which has a 2.4 kernel installed. So is this
> problem solved now with the new knowledge you mentioned in comment #4?

But your Bugzilla isn't sending the email directly, it's sending it to the
company mail server apparently.  What's running on the company mail server?

Received: from mx1.redhat.com (mx1.redhat.com [66.187.233.31])
	by ns2.osuosl.org (Postfix) with ESMTP id 49F3A11FA7A
	for <justdave@mozilla.org>; Wed,  2 Mar 2005 12:42:29 -0800 (PST)
Received: from www.beta.redhat.com (beta.redhat.com [172.16.48.203])
	by mx1.redhat.com (8.12.11/8.12.11) with ESMTP id j22KgSjP021663
	for <justdave@mozilla.org>; Wed, 2 Mar 2005 15:42:28 -0500

mx1.redhat.com [66.187.233.31] would be the box in question.

If you confirm that mx1.redhat.com is running 2.6.9, then we know that's what
the problem is, and you can close this out, because that's definitely the fault
of the old version of OpenBSD sitting on the router between the two endpoints
(and I just lit a fire under the folks responsible for upgrading it :)

If that's not the case, then there's some other problem going on here, and
probably won't be able to tell what without the mail logs of the attempts to
send to @syndicomm.com or @bugzilla.org
Comment 7 David Lawrence 2005-03-03 17:53:57 EST
I sent an email to IS/IT and this is what I got in return:

>Date: Wed, 02 Mar 2005 17:48:24 -0500
>> From: Dave Lawrence <dkl@redhat.com>
>> To: Matthew Galgoci <mgalgoci@redhat.com>
>> Subject: [Fwd: [Bug 149297] email change mail not sent]
>> 
>> Hey Matt. Can you tell me the kernel version that is running on mx1 
>> where email supposedly is being
>> sent from Bugzilla through? I have a report (attached) of email not 
>> being able to be delivered properly.


It's running rhel3, which probably has a lot of tcp backports from 2.6.


>> Received: from www.beta.redhat.com (beta.redhat.com [172.16.48.203])
>> 	by mx1.redhat.com (8.12.11/8.12.11) with ESMTP id j22KgSjP021663
>> 	for <justdave@mozilla.org>; Wed, 2 Mar 2005 15:42:28 -0500
>> 
>> mx1.redhat.com [66.187.233.31] would be the box in question.
>> 
>> If you confirm that mx1.redhat.com is running 2.6.9, then we know that's what
>> the problem is, and you can close this out, because that's definitely the fault
>> of the old version of OpenBSD sitting on the router between the two endpoints
>> (and I just lit a fire under the folks responsible for upgrading it  :) 
>> 
>> If that's not the case, then there's some other problem going on here, and
>> probably won't be able to tell what without the mail logs of the attempts to
>> send to @syndicomm.com or @bugzilla.org


Any mail that was sent to both of those domains appears to have been sent. I
can't imagine
what I should be looking for in the mail logs. There is nothing enqueued.
Comment 8 Dave Miller 2005-03-03 20:31:04 EST
the mozilla.org address still ultimately delivers to bugzilla.org, however, the
mozilla.org mail server is running RHEL 2.1.  It's been more than 5 days since I
changed the address now, so I can't imagine anything still being in the queue. 
At this point it's probably not worth worrying about.  I have working mail now,
let's go ahead and close this out.
Comment 9 David Lawrence 2005-03-04 11:14:51 EST
Ok, sorry for the previous trouble. Let me know if you need me to research
anything further on this end.

Note You need to log in before you can comment on or make changes to this bug.